/*
 * #%L
 * EUGene :: EUGene
 * 
 * $Id: ChainedFileWriterEntry.java 863 2010-04-15 14:22:49Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/eugene/tags/eugene-2.0.2/eugene/src/main/java/org/nuiton/eugene/writer/ChainedFileWriterEntry.java $
 * %%
 * Copyright (C) 2004 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.eugene.writer;

import java.io.File;

/**
 * Definition of  of the chained writer entry.
 * 
 * Created: 04 mars. 2010
 *
 * @author Tony Chemit <chemit@codelutin.com> Copyright Code Lutin
 * @version $Revision: 863 $
 *          <p/>
 *          Mise a jour: $Date: 2010-04-15 16:22:49 +0200 (jeu., 15 avril 2010) $
 *          par : * @since 2.0.0
 *
 */
public class ChainedFileWriterEntry {

    /**
     * input directory of entry
     */
    protected File inputDirectory;
    /**
     * include pattern of entry
     */
    protected String includePattern;

    public ChainedFileWriterEntry(File inputDirectory, String includePattern) {
        this.inputDirectory = inputDirectory;
        this.includePattern = includePattern;
    }

    public String getIncludePattern() {
        return includePattern;
    }

    public File getInputDirectory() {
        return inputDirectory;
    }

}
